CREATE TABLE anc_process_messages (
    MESSAGE_ID                     NUMBER(18, 0) ,
    MESSAGE_TYPE                   VARCHAR2(120) ,
    SOURCE_FLOW                    VARCHAR2(120) ,
    PROCESS_NAME                   VARCHAR2(120) ,
    PROCESS_KEY_ATTRIBUTE          VARCHAR2(120) ,
    PROCESS_KEY_ATTRIBUTE_VALUE    NUMBER(18, 0) ,
    PROCESS_CONTEXT                CLOB          ,
    MSG_TEXT                       VARCHAR2(4000),
    MSG_VALIDITY                   VARCHAR2(80)  ,
    STACK_TRACE                    CLOB          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ANC_CATEGORY                   VARCHAR2(4000),
    ANC_CHAR1                      VARCHAR2(4000),
    ANC_CHAR2                      VARCHAR2(4000),
    ANC_CHAR3                      VARCHAR2(4000),
    ANC_CHAR4                      VARCHAR2(4000),
    ANC_CHAR5                      VARCHAR2(4000),
    ANC_NUMBER1                    NUMBER        ,
    ANC_NUMBER2                    NUMBER        ,
    ANC_NUMBER3                    NUMBER        ,
    ANC_NUMBER4                    NUMBER        ,
    ANC_NUMBER5                    NUMBER        ,
    ANC_DATE1                      DATE          ,
    ANC_DATE2                      DATE          ,
    ANC_DATE3                      DATE          ,
    ANC_DATE4                      DATE          ,
    ANC_DATE5                      DATE          ,
    MESSAGE_ID                     NUMBER(18, 0) ,
    MESSAGE_TYPE                   VARCHAR2(120) ,
    SOURCE_FLOW                    VARCHAR2(120) ,
    PROCESS_NAME                   VARCHAR2(120) ,
    PROCESS_KEY_ATTRIBUTE          VARCHAR2(120) ,
    PROCESS_KEY_ATTRIBUTE_VALUE    NUMBER(18, 0) ,
    PROCESS_CONTEXT                CLOB          ,
    MSG_TEXT                       VARCHAR2(4000),
    MSG_VALIDITY                   VARCHAR2(80)  ,
    STACK_TRACE                    CLOB          ,
    CREATED_BY                     VARCHAR2(256)     NOT NULL,
    CREATION_DATE                  TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY                VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE               TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN              VARCHAR2(128) ,
    OBJECT_VERSION_NUMBER          NUMBER(9, 0)      NOT NULL,
    ANC_CATEGORY                   VARCHAR2(4000),
    ANC_CHAR1                      VARCHAR2(4000),
    ANC_CHAR2                      VARCHAR2(4000),
    ANC_CHAR3                      VARCHAR2(4000),
    ANC_CHAR4                      VARCHAR2(4000),
    ANC_CHAR5                      VARCHAR2(4000),
    ANC_NUMBER1                    NUMBER        ,
    ANC_NUMBER2                    NUMBER        ,
    ANC_NUMBER3                    NUMBER        ,
    ANC_NUMBER4                    NUMBER        ,
    ANC_NUMBER5                    NUMBER        ,
    ANC_DATE1                      DATE          ,
    ANC_DATE2                      DATE          ,
    ANC_DATE3                      DATE          ,
    ANC_DATE4                      DATE          ,
    ANC_DATE5                      DATE          ,
    CONSTRAINT pk_anc_process_messages PRIMARY KEY (MESSAGE_ID, MESSAGE_ID)
);
